self: super:
{
  wesher = super.buildGoModule rec {
    pname = "wesher";
    version = "0.2.6";

    src = super.fetchFromGitHub {
      owner = "costela";
      repo = "wesher";
      rev = "v${version}";
      sha256 = "1iagmnw2yf15r0fpikk610w0lm0gcxw83lcwfjyr2jv1q2ys71hh";
    };

    vendorSha256 = "0nyg0wzn8d4rzjs8yrxxj3gha94043ll80s1ql0fml025q2f3705";

    checkPhase = "true";

    meta = with super.lib; {
      description = "wireguard overlay mesh network manager";
      homepage = "https://github.com/costela/wesher";
      license = licenses.gpl3Plus;
      platforms = platforms.linux;
    };
  };
}
